> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a monitor alert rule

> Returns one alert rule. 404 for a rule id belonging to another monitor or already deleted.



## OpenAPI

````yaml https://api.galtea.ai/openapi.json get /monitors/{monitorId}/alert-rules/{alertRuleId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /monitors/{monitorId}/alert-rules/{alertRuleId}:
    get:
      tags:
        - monitors
      summary: Get a monitor alert rule
      description: >-
        Returns one alert rule. 404 for a rule id belonging to another monitor
        or already deleted.
      operationId: getMonitorAlertRule
      parameters:
        - schema:
            type: string
            description: Monitor ID
            example: monitor_123
          required: true
          description: Monitor ID
          name: monitorId
          in: path
        - schema:
            type: string
            description: Alert rule ID
            example: monitorAlertRule_123
          required: true
          description: Alert rule ID
          name: alertRuleId
          in: path
      responses:
        '200':
          description: Alert rule retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorAlertRule'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    MonitorAlertRule:
      type: object
      properties:
        id:
          type: string
          example: monitorAlertRule_123
        monitorId:
          type: string
          example: monitor_123
        type:
          type: string
          enum:
            - BAD_SESSION_COUNT
            - NO_SCORE_RATE
            - AVERAGE_SCORE
          example: BAD_SESSION_COUNT
        metricGroupId:
          type: string
          example: metricGroup_123
        window:
          type: string
          enum:
            - FIFTEEN_MINUTES
            - ONE_HOUR
            - SIX_HOURS
            - TWENTY_FOUR_HOURS
          example: ONE_HOUR
        badSessionScore:
          type: number
          nullable: true
          example: 0.5
        threshold:
          type: number
          example: 3
        recipients:
          type: array
          items:
            type: string
          example:
            - team@example.com
        userId:
          type: string
          nullable: true
          example: user_123
        createdAt:
          type: string
          format: date-time
        pausedAt:
          type: string
          nullable: true
          format: date-time
          description: When the rule was paused; null while it is active
          example: null
      required:
        - id
        - monitorId
        - type
        - metricGroupId
        - window
        - badSessionScore
        - threshold
        - recipients
        - userId
        - createdAt
        - pausedAt
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.